What Version of Windows PowerShell do I have running?

What Version of Windows PowerShell do I have running?

How to determine what version of Windows PowerShell is installed on your windows server?

Solution

Open PowerShell and run

$PSVersionTable.PSVersion

You will then see the result displayed obviously.

Windows PowerShell Module you receive NotSpecified: (:) [Import-Module], FileLoadException

Windows PowerShell Module you receive NotSpecified: (:) [Import-Module], FileLoadException

This is a typical error for Modules that have been downloaded from the internet and are not given permission to run on the computer.

The solution

Really Easy. 

Open PowerShell

Navigate to the directory in the error message that contains the Module you intend to run. Running a command like:

cd C:\Users\administrator\Documents\WindowsPowerShell\Modules\ACMESharp\

Then Run the Command: 

Get-ChildItem . | Unblock-File

This will set the module files to be able to be used by PowerShell

That’s it. Now the module should run fine.